Rensei docs
API ReferenceCollections

List project collections

List project collections - Rensei REST API operation reference.

GET
/api/collections

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Query Parameters

projectId*string
Length1 <= length <= 128
cursor?string
Lengthlength <= 512
limit?integer
Range1 <= value <= 100
Default100

Response Body

Success

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
curl -X GET 'https://app.rensei.ai/api/collections?projectId=string'
Example Response
{  "items": [    {      "indexEmbed": [        "string"      ],      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "orgId": "string",      "projectId": "string",      "name": "string",      "keyField": "string",      "retentionClass": "string",      "agentWrite": "none",      "schemaVersion": -9007199254740991,      "createdAt": "2019-08-24T14:15:22Z",      "schema": {        "property1": "string",        "property2": "string"      }    }  ],  "nextCursor": "string"}